--战斗结束触发——楼兰王结束脚本
--global.CallScript(7206)

function m011_6()

	--开始剧情 
	func_start(6847,7232,0,1)

	local	i

	--播放音乐 GS12
	global.PlayMusic(162,100,3000)		
	
	for i=1,21,1
		do
		npc.Destroy(i)
		end
	
	--建立npc  
	--夏侯澜辉
	npc.Create(1,1,4170,1057)
	npc.SetAt(1,0,-1)		
	--瑕
	npc.Create(2,2,4155,1019)
	npc.SetAt(2,0,-1)	
	--姜承 
	npc.Create(3,3,4139,1052)
	npc.SetAt(3,0,-1)	
	--暮菖兰 
	npc.Create(4,4,4108,1065)
	npc.SetAt(4,0,-1)	
	--皇甫卓 
	npc.Create(6,6,4187,1030)
	npc.SetAt(6,0,-1)	
	--龙溟 
	npc.Create(7,7,4103,1030)
	npc.SetAt(7,0,-1)	
	--凌波 
	npc.Create(8,8,4130,1016)
	npc.SetAt(8,0,-1)	

	--楼兰王 
	npc.CreateFloat(40,17,4130,310,875)
	npc.SetAt(17,0,1)
	-- 楼兰王虚弱/濒死 
	npc.SetAnim(17,125)	
	
	npc.CreateSE(17,4247)	
	
	--魔化夏侯  
	npc.Create(52,18,4145,1020)
	npc.SetAtPos(18,3960,860)
	npc.SetVisible(18,0)
	npc.SetAnim(18,226)
	
	
	
	--镜头1 
	-- 面向楼兰王 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4115,459,1006,4131,442,908)
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(4108,469,1047,4128,446,952)
	--淡入 
	effect.FadeIn(1,1)
	global.Wait(3)

	ui.Dialog(78353,701,2,17,0,0) 	--力量……本王的力量……
	ui.Dialog(78354,701,2,17,0,0) 	--本王……要死在这些异族人手中，要失去楼兰了吗——！



	--镜头2 
	-- 越过楼兰王面对众人 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4138,399,943,4146,366,1037)
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(4123,399,945,4137,366,1038)	
	global.Wait(0.5)
	-- 瑕担心 
	npc.SetAnim(2,209)
	global.Wait(2)
	
	ui.Dialog(78355,501,0,2,0,0) 	--担心	--他好像……很担心楼兰城，可能不是个坏人……
	ui.Dialog(78356,165,2,4,0,0) 	--嘲讽	--把整个楼兰城都用法术禁锢住，让人只能留在城中活活等死，这哪里算是个好人？

	-- 夏侯摇头 
	npc.SetAnim(1,207,2)
	global.Wait(1)

	ui.Dialog(78357,516,0,1,0,0) 	--担心	--楼兰国灭亡至今已有数百年，他或许是突然被惊醒，不知世易时移，反应过度吧。
	global.Wait(1)
	
	
	
	
	
	--镜头3 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4159,426,1039,4136,430,941)
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(4159,426,1039,4143,430,940)		
	global.Wait(1)
	
	ui.Dialog(78358,701,2,17,0,0) 	--几百年……？已经……过了几百年了吗？
	ui.Dialog(78359,701,2,17,0,0) 	--……本王的楼兰……本王的楼兰……
	ui.Dialog(78360,737,0,7,0,0)	--……
	global.Wait(1)
	
	
	
	
	--镜头4 
	-- 重点凌波、楼兰王 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4078,391,938,4131,371,1021)	
	global.Wait(1)
	
	ui.Dialog(78361,150,0,8,0,0)		--世间已经过了百年，无论你有什么样的留恋，这人世都已与你再无干系。
	global.Wait(0.5)
	
	--拉镜头 
	camera.ResetLerp(3500)		
	camera.ChangeCameraStatic(3932,486,775,4001,450,837)		
	global.Wait(1)
	-- 凌波走向楼兰王 
	npc.SetSpeed(8,0.75)
	npc.SetAnimSpeed(8,75)	
	npc.MoveTo(8,4130,983)
	global.Wait(1)
	
	ui.Dialog_t(78362,150,0,8,0,0,5)		--你既已身死，自该归于天地，去吧——

	-- 楼兰王身上冒黑气
	global.Wait(2)
	
	ui.Dialog(78363,630,2,7,0,0)		--小心！

	--凌波速度恢复 
	npc.SetSpeed(8,1)
	npc.SetAnimSpeed(8,100)	
	
	ui.Dialog(78364,152,0,8,0,0)		--吃惊 --！
	
	

	
	
	--镜头5 
	--npc位置  
	npc.SetAtPos(17,4130,983)
	-- 特写 龙溟、凌波、楼兰王，面向凌波 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4103,369,1007,4149,382,919)		
	global.Wait(0.5)
	-- 楼兰王攻击 
	npc.SetAnim(17,105,2)
	global.Wait(0.3)
	-- 龙溟传送到凌波身前 	
	npc.SetAppear(7,0,1)
	npc.SetPos(7,4130,950)
	npc.SetAtPos(7,4130,875)
	npc.CreateSE(7,4329)	
	npc.SetAppear(7,1)
	-- 龙溟格挡 	
	npc_weapon(7,7)	
	npc.SetAnim(7,113)	
	global.Wait(1)
	npc.CreateSE(7,31)		
	--音效格挡 
	global.PlaySound(536,100)
	camera.Shake(0.5,3)	
	global.WaitForNpcAnim(7,113)
	-- 龙溟攻击 
	npc.SetAnim(7,110)
	global.Wait(0.3)
	--音效攻击
	global.PlaySound(1621,100)		
	global.Wait(0.3)	
	effect.FadeInWhite(1,1)	
	global.Wait(0.4)
	-- 楼兰王消失 
	npc.SetAppear(17,0,1)
	
	npc.StopSE(17)
	
	global.Wait(1)	
	-- 楼兰王出现在远方 
	npc.SetPos3D(17,3960,310,860)
	npc.SetAtPos(17,4130,950)
	npc.SetAppear(17,1)	
	
	npc.CreateSE(17,4247)	

	
	--镜头6 
	-- 特写楼兰王，面向龙溟凌波 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(3844,513,848,3930,464,866)	
	camera.ResetLerp(15000)		
	camera.ChangeCameraStatic(3844,513,848,3928,465,874)		
	-- 众人转向楼兰王 
	npc_weapon(7,0)		
	npc.TurnToNpc(1,17)
	npc.TurnToNpc(2,17)
	npc.TurnToNpc(3,17)
	npc.TurnToNpc(4,17)
	npc.TurnToNpc(6,17)
	npc.TurnToNpc(8,17)
	npc.TurnToNpc(7,17,1)
	global.Wait(0.5)
	
	ui.Dialog(78365,701,2,17,0,0)		--啊……当年……
	ui.Dialog(78366,701,2,17,0,0)		--楼兰周遭群狼环视，时常遭到兵戎之灾，若非本王小心翼翼与诸国周旋，楼兰早已毁于战乱。
	ui.Dialog(78367,702,2,17,0,0)		--楼兰国的子民能够活着，都是本王的恩泽！可不过区区数百年，他们就都遗忘了本王为他们所做过的一切——
	ui.Dialog(78368,712,0,7,0,0)	--微怒--……
	global.Wait(2)
	ui.Dialog(78369,702,2,17,0,0)		--这城中竟然既无本王的塑像，也无供奉的祭台，这些贱民竟敢背弃本王！这些忘恩负义的贱民，本王要他们全部去死！
	global.Wait(1)
	ui.Dialog(78370,702,2,17,0,0)		--本王——绝不能饶恕他们！
	
	
	
	--镜头7 
	-- 特写龙溟 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4224,374,977,4130,386,943)	
	global.Wait(0.5)

	ui.Dialog(78371,629,0,7,0,0)		--不能饶恕？
	ui.Dialog(78372,737,0,7,0,0)		--我原以为你既曾身为国主，多少应有几分王者的尊严和气度，如今看来，却是我高估你了——
	ui.Dialog(78373,712,0,7,0,0)		--不过是个废物。
	ui.Dialog(78374,702,2,17,0,0)			--你——竟敢侮辱本王！！！
	
	--龙溟备战
	npc_weapon(7,7)		
	npc.SetAnim(7,101)
	global.Wait(0.5)
	
	-- 龙溟提枪往前走 
	npc.SetSpeed(7,0.25)
	npc.SetAnimSpeed(7,50)
	npc.MoveTo(7,4055,907)
	npc.SetAnim(7,219)
	
	-- 快速拉向楼兰王 
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(4159,361,873,4063,384,888)

	
	global.EnableSkipDialog(0)	
	ui.Dialog_t(78375,712,0,7,0,0,8.6)		--你既为王，食民膏血而生，自当殚精竭虑，励精图治，方对得起君王二字。
	global.EnableSkipDialog(1)	
	
	--龙溟停 	
	global.WaitForNpcPos(7,4055,907)
	npc.SetSpeed(7,1)
	npc.SetAnimSpeed(7,101)
	npc.SetAnim(7,235)	
	global.Wait(0.5)	
	
	ui.Dialog(78376,712,0,7,0,0)				--如今城池颓危至此，你有幸苏醒，不思如何挽救，反而怨恨城民不做供奉，还施法将楼兰城陷入死地——昏庸！

	ui.Dialog(78377,702,2,17,0,0)			--本王——本王是王！贱民本来就该供奉本王！
	ui.Dialog(78378,712,0,7,0,0)		--君既不事民，民何必事君。
	ui.Dialog(78379,630,0,7,0,0)	--愤怒 	--像你这样的废物，也敢妄求供奉？！
	global.Wait(1)
	
	
	
	--镜头8
	-- 平视其余众人
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4077,381,965,4162,370,1018)	
	camera.ResetLerp(4000)		
	camera.ChangeCameraStatic(4105,380,959,4168,374,1037)		
	global.Wait(0.5)
	-- 瑕吃惊 
	npc.SetAnim(2,243,2)
	global.Wait(1)

	ui.Dialog(78380,185,0,2,0,0)	--惊讶	--他，龙公子他怎么忽然这么激动？！
	ui.Dialog(78381,154,0,8,0,0)--……
	global.Wait(1)
	
	--姜承备战 
	npc_weapon(3,3)	
	npc.SetAnim(3,101)
	global.Wait(0.5)
	
	ui.Dialog(78382,136,2,3,0,0)--小心！
	global.Wait(0.5)
	
	
	
	
	--镜头9
	-- 面向楼兰王
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4116,397,1014,4045,399,943)	
	global.Wait(0.5)

	ui.Dialog(78383,702,0,17,0,0)	--贱民！！闭嘴——！！！！
	ui.Dialog(78384,702,0,17,0,0)				--本王要把你碎尸万段！！！！！！！！
	global.Wait(1)
	

	-- 楼兰王发怒 
	effect.MotionBlur(1)		
	npc.CreateSE(17,4249)		
	npc.SetAnim(17,128,1)
	npc.SetAnimSpeed(17,15)
	npc.SetAnim(17,2)
	npc.SetAnimSpeed(17,100)
	effect.MotionBlur(0)		
	global.Wait(1)
	
	

	
	
	--镜头10 
	-- 全镜 面对楼兰王  向前推，推到龙溟凌波身后 
	camera.ResetLerp(0)		
	-- camera.ChangeCameraStatic(3826,500,887,3916,456,895)	
	camera.ChangeCameraStatic(3987,390,884,4071,363,932)
	camera.ResetLerp(10000)		
	-- camera.ChangeCameraStatic(3783,521,883,3872,477,891)		
	camera.ChangeCameraStatic(3993,390,875,4072,363,930)
	global.Wait(0.5)
	-- 夏侯澜辉、瑕、姜承、暮菖兰、皇甫卓备战 
	npc_weapon(1,1)	
	npc_weapon(2,2)	
	npc_weapon(4,4)	
	npc_weapon(6,6)		
	npc.SetAnim(1,101)
	npc.SetAnim(2,101)
	npc.SetAnim(4,101)
	npc.SetAnim(6,101)
	-- 凌波走到龙溟身边 
	npc.DashTo(8,4048,927,1)
	npc.TurnToNpc(8,17,1)
	-- 凌波备战  
	npc.SetAnim(8,101)
	global.Wait(0.5)
	
	ui.Dialog(78385,153,2,8,0,0)		--糟了！他的恨意和怨念正不断增强！
	ui.Dialog(78386,712,0,7,0,0)		--这等昏君的怨念，即便增强又能如何！
	 
	-- 龙溟凌波同时施法  
	npc.CreateSE(8,3939)
	--龙溟施法音效  
	global.PlaySoundLoop(2074,30)
	npc_weapon(7,0)
	npc.SetAnim(7,223)
	npc.CreateSE(7,4539)
	-- npc.SetAnim(8,115)	
	global.Wait(2)
	npc.CreateScaledSE(17,4352,350)	
	global.Wait(1)
	
	
	
	
	--镜头11 
	-- 特写楼兰王 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4108,431,914,4014,431,879)		
	global.Wait(2)

	
	ui.Dialog(78387,702,2,17,0,0)		--放开本王！放开——！
	ui.Dialog(78388,702,2,17,0,0)		--可恶！本王岂能被尔等贱民消灭……
	
	-- 楼兰王被法阵笼罩 
	-- 楼兰王挣扎 发怒 
camera.Shake(20,2)		
	
	--音乐渐停  
	global.MusicFadeIn(2000,100,0)			
	
	npc.SetAnim(17,128,1)

	npc.StopSE(17)
	npc.CreateSE(17,4249)

	npc.CreateSE(17,4247)	

	npc.SetAnimSpeed(17,20)
	npc.SetAnim(17,2)
	npc.SetAnimSpeed(17,100)
	global.Wait(2)
	--淡出
	effect.FadeOut(1,1)
	global.Wait(1)	

	--音效停  
	global.StopLastSound()
	--特效停
	npc.StopSE(7)
	npc.StopSE(8)
	
camera.Shake(0,0)	
	
	for	i=1,8,1
		do
		npc_weapon(i,0)
		end	
	
	

	
	
	--楼兰王战场  
	map.Change(1,1012)
	player.SetPos(2521,2869)
	npc.Create(1,1,2521,2869)

	--播放音乐 zd09
	-- global.PlayMusic(109,100,3000)			
	-- 俯身 特效 	
	--淡入
	effect.FadeIn(1,100)
	global.CreateCameraSE(1,3278,1)	
	
effect.SetFilterTexture(10259,0)
	
	-- effect.FadeOut(1,100)
	global.Wait(0.5)
	
	
	--切地图
	--楼兰城迷宫  
	map.ChangeNoScript(1,1061)
	player.SetPos(4130,910)		
	
	--npc建立 
	npc.Create(1,1,4170,1057)
	npc.SetVisible(1,0)
	npc.Create(2,2,4174,1039)
	npc.Create(3,3,4202,1026)
	npc.Create(4,4,4139,1052)
	npc.Create(6,6,4108,1065)
	npc.Create(7,7,4087,970)
	npc.Create(8,8,4085,997)	
	-- npc.SetAt(2,-1,-1)
	-- npc.SetAt(3,-1,-1)
	-- npc.SetAt(4,-1,-1)
	npc.SetAt(6,-1,-1)
	npc.SetAt(7,-1,-1)
	npc.SetAt(8,-1,-1)	
	npc.SetAtPos(2,4145,1020)
	npc.SetAtPos(3,4145,1020)
	npc.SetAtPos(4,4145,1020)
	-- npc.SetAtPos(6,4145,1020)
	-- npc.SetAtPos(7,4145,1020)
	-- npc.SetAtPos(8,4145,1020)	
	--魔化夏侯  
	npc.Create(52,18,4145,1020)
	npc.SetAtPos(18,3960,860)
	npc.CreateSE(18,3371)	
	npc.SetAnim(18,226)	
	
	
	


	
	
	
	
	
	--[[

	--镜头13 
	--npc位置 
	npc.SetVisible(1,0)	
	npc.SetVisible(18,1)	
	-- npc.SetPos(1,4145,1020)
	npc.SetPos(2,4174,1039)
	-- npc.SetPos(6,4173,994)
	-- npc.SetPos(3,4173,994)
	npc.SetPos(3,4202,1026)
	npc.SetPos(4,4139,1052)
	npc.SetPos(6,4108,1065)
	npc.SetPos(7,4087,970)
	npc.SetPos(8,4085,997)
	npc.SetAt(1,-1,-1)
	npc.SetAt(2,-1,-1)
	npc.SetAt(3,-1,-1)
	npc.SetAt(4,-1,-1)
	npc.SetAt(6,-1,-1)
	npc.SetAt(7,-1,-1)
	npc.SetAt(8,-1,-1)
	npc.SetAnim(2,200)
	npc.SetAnim(3,200)
	npc.SetAnim(4,200)
	npc.SetAnim(6,200)
	npc.SetAnim(7,200)
	npc.SetAnim(8,200)	
	
	--]]
	
	
	--镜头13 	
	-- 全镜 俯视
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(4122,383,991,4188,366,1065)
	camera.ResetLerp(5000)		
	camera.ChangeCameraStatic(4122,383,991,4180,366,1071)		
	--播放音乐 zd09
	global.PlayMusic(109,100,3000)	
	
effect.SetFilterTexture(0,0)	
	effect.FadeIn(1,0.5)
	global.Wait(3)
	
	ui.Dialog(78389,533,0,1,0,0)	--痛苦	--呃……
	global.Wait(1)
	
	--暮看向凌波 
	npc.SetHeadRotTo(4,8,1,50)
	global.Wait(0.5)
	
	ui.Dialog(78390,179,2,4,0,0)	--紧张 --那楼兰王——怎么不见了？！
	
	
	--镜头14 
	camera.ResetLerp(0)		
	-- camera.ChangeCameraStatic(4126,373,1023,4223,397,1017)			
	camera.ChangeCameraStatic(4120,372,1025,4219,378,1033)
	camera.ResetLerp(2500)		
	-- camera.ChangeCameraStatic(4126,373,1023,4224,393,1033)			
	camera.ChangeCameraStatic(4120,371,1022,4217,390,1032)
	global.Wait(1)
	--瑕看向夏侯 
	npc.SetHeadRot(2,-30,1,25)
	global.Wait(1)
	
	global.WaitForCameraLerp()	
	
	npc.SetHeadRotTo(2,18,1,50)
	global.Wait(1)
	--瑕吃惊 
	npc.SetAnim(2,243,2)
	global.Wait(1)
	
	ui.Dialog(78391,185,2,2,0,0)	--呆--……
	global.Wait(1)
	
	
	
	
	--镜头15 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4103,398,948,4149,373,1033)		
	global.Wait(0.5)
	-- 姜承转向魔化夏侯
	-- 姜承吃惊 
	-- npc.TurnToNpc(3,18,1)
	npc.SetAnim(3,208,2)
	global.Wait(1)
	
	ui.Dialog(78392,138,0,3,0,0)	--夏侯兄！
	
	--拉镜头 
	camera.ResetLerp(3000)		
	camera.ChangeCameraStatic(4098,420,865,4119,389,958)		
	global.Wait(1)
	-- 龙溟、凌波、皇甫卓转向魔化夏侯 
	npc.SetHeadRot(4,0,0)
	-- npc.TurnToNpc(4,18)
	npc.TurnToNpc(6,18)
	npc.TurnToNpc(7,18)
	npc.TurnToNpc(8,18,1)
	global.Wait(0.5)
	-- 凌波备战 
	npc_weapon(8,8)	
	npc.SetAnim(8,101)
	global.Wait(0.5)
	
	ui.Dialog(78393,153,2,8,0,0)	--大家小心！他被怨魂附体了！

	-- 皇甫卓备战 
	npc_weapon(3,3)
	npc_weapon(4,4)	
	npc_weapon(6,6)		
	npc.SetAnim(3,101)
	npc.SetAnim(4,101)
	npc.SetAnim(6,101)
	global.Wait(0.5)
 
	ui.Dialog(78394,552,2,6,0,0)	--愤怒 --什么？！！卑鄙的妖怪！！

	-- 龙溟备战 
	npc_weapon(7,7)		
	npc.SetAnim(7,235)
	global.Wait(0.5)
	
	ui.Dialog(78395,630,2,7,0,0)	--废王！从别人的身体里滚出来！
	global.Wait(1)
	
	ui.Dialog(78396,153,2,8,0,0)--眼下只能先设法削弱他的力量，迫使他离开夏侯少主的身体。
    ui.Dialog(78397,199,2,2,0,0)	--呆--那、那是要对乌鸦嘴出手吗？千万小心别伤了他啊！
	
	--夏侯离队
	player.Remove(p_id(1),1)
	
	
	--开始战斗 
	-- boss楼兰王第二阶段
	--龙溟解锁
	
	player.LockPlace(p_id(7),0)
	
	player.LockPlace(p_id(2),0)
	player.LockPlace(p_id(3),0)
	player.LockPlace(p_id(4),0)
	player.LockPlace(p_id(6),0)
	player.LockPlace(p_id(8),0)
	
	
	player.SetMainPlayer(p_id(2))

	player.LockPlace(p_id(2),1)--锁定瑕
	
	--清理npc 
	for	i=1,8,1
		do
		npc_weapon(i,0)
		end	

	for	i=1,10,1
		do 
		npc.SetHeadRot(i,0,0)
		end
		
	-- func_end(0,0,1)			
	player.Control(1)
	global.SetWideScreen(0)
	--战斗音乐延续	开
	flag.SetValue(10020,1)
	
    battle.Begin(2046,508,1) --选人战斗
    
end
